\begin{tikzpicture}[scale=2]
	% Axes
	\def\bounds{2.50}
	\draw[<->] (-\bounds, 0) -- (\bounds, 0);
	\draw[<->] (0, -\bounds) -- (0, \bounds);

	\def\sqrttwo{1.41421}
	\draw[
		very thick,  % thicker lines
		color=blue,  % line colour
		fill=blue!20,  % fill colour, 20% blue and 80% white
		even odd rule,  % only fill areas with odd number of intersections
	]
		(0, 0) circle [radius=2]  % outer circle
		(-\sqrttwo, \sqrttwo) rectangle (\sqrttwo, -\sqrttwo)  % inscribed square
		(1, 1) circle [radius={\sqrttwo / 2.00}]  % corner circle
		(-2.00, -0.50) rectangle (-0.50, -2.00)  % corner square
	;
\end{tikzpicture}
